mozilla
আপনার অনুসন্ধান ফলাফল

    ডেভেলপারদের জন্য ফায়ারফক্স ওএস ১.৪

    This translation is incomplete. Please help translate this article from English.

    ফায়ারফক্স ওএস ১.৪ বর্তমানে প্রকাশের অপেক্ষায় আছে। এর গেকো অংশটি ফায়ারফক্স ৩০ এর উপর নির্ভর করে তৈরি করা হয়েছে (ডেভেলপারদের জন্য ফায়ারফক্স ৩০ রিলিজ নোট সমূহ দেখুন)

    ফায়ারফক্স ওএস ১.৪ এর জন্য ডকুমেন্টেশন তৈরিতে সহায়তা করতে চান ? B2G-সংশ্লিষ্ট যেসব বাগ রয়েছে এবং সেগুলো সম্পর্কে লেখা প্রয়োজন, তার তালিকা দেখুন এবং যুক্ত হউন!

    সিএসএস

    সাধারন গেকোঃ

    • background-blend-mode প্রপার্টি টি ডিফল্ট ভাবে সক্রিয় করা হয়েছে (bug 970600)।
    • শুধুমাত্র UA স্টাইলশিটে ব্যবহারের জন্য আদর্শ মানের বাইরে থাকা overflow-clip-box প্রোপার্টি ব্যবহার করা হয়েছে (bug 966992)।
    • line-height প্রোপার্টি এখন এক লাইনের টেক্সট ইনপুট সমূহে কাজ করে। (<input type=text|password|email|search|tel|url|unknown> types) যদিও এটা টেক্সটকে 1.0 এর নিচের লাইন হাইটে সঙ্কুচিত করতে পারেনা (bug 349259)।
    • line-height প্রোপার্টি এখন কোন প্রকার বিধি-নিষেধ ছাড়াই type=button এ কাজ করে(bug 697451)।

    জাভাস্ক্রিপ্ট

    সাধারন গেকোঃ

    EcmaScript 6.0 এর সমর্থন আরও বর্ধিত করা হয়েছেঃ

    • অ্যারে কম্প্রিহেনশন সমূহকে নতুন সিমানটিক্স অনুসরন করার জন্য গ্রহন করা হয়েছে (bug 979865):
      • তারা প্রতি for নোডে একটি করে স্কোপ তৈরি করে।
      • অ্যাসাইনমেন্ট এক্সপ্রেশনের বদলে তারা for শুরু হয়।
      • ওয়েব মোড কোডে এরা বৈধ এবং let আইডেন্টিফায়ার কে অগ্রাহ্য করে।
      • তারা ডিস্ট্রাকচারিং সমর্থন করছে না।
      • তাদের একাধিক comprehensionIf উপাদান থাকতে পারে।
      • তারা শুধু for…of পুনরাবৃত্তির কাজ করে, for…in না।
      • তাদের সবসময় প্যারেন্থেসিস ( < > ) এর প্রয়োজন হয়।
      • এরা হচ্ছে EcmaScript 6.0 সিমানটিক্স এর পর্যায়ের। পুরাতন গুলোর পর্যায়ের নয়।
    • টাইপড অ্যারে সমূহ এখন আরও পরিবর্ধন যোগ্য এবং নতুন নাম ওয়ালা প্রোপার্টি সমর্থন করে(bug 695438)।

    ইন্টারফেস/এপিআই/DOM

    গেকো সাধারনঃ

    SVG

    Gecko general:

    Audio/Video

    Gecko general:

    • On Linux, Gstreamer 1.0 is now supported (instead of 0.10) (bug 806917).

    Manifest

    • The precompile manifest field is now supported, which specifies that asm.js code contained within the app should be compiled at install time, install of during first run.

    See also

    • Firefox OS 1.4 Notes (will be linked to once they are published.)

    Older versions

     

    ডকুমেন্ট ট্যাগ এবং অবদানকারী

    Contributors to this page: badsha_eee
    সর্বশেষ হালনাগাদ করেছেন: badsha_eee,
    সাইডবার লুকানো